Prescription

A prescription is an instruction by a provider that authorizes a patient to be provided a medication or treatment.

The prescription model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the prescription.

  • Name
    object
    Type
    string
    Description

    Always 'prescription'.

  • Name
    patient
    Type
    string
    Description

    Patient this prescription is for.

  • Name
    name
    Type
    string
    Description

    Name of the medication prescribed.

  • Name
    schedule
    Type
    string
    Description

    Controlled substance schedule classification of the medication.

  • Name
    dose_form
    Type
    string
    Description

    Form in which the medication is administered (e.g., tablet, capsule).

  • Name
    route
    Type
    string
    Description

    Route of administration for the medication (e.g., oral, intravenous).

  • Name
    strength
    Type
    string
    Description

    Strength or dosage of the medication.

  • Name
    directions
    Type
    string
    Description

    Instructions on how the medication should be taken.

  • Name
    quantity
    Type
    number
    Description

    Total number of units of the medication prescribed.

  • Name
    unit
    Type
    string
    Description

    Unit of measurement for the quantity (e.g., tablets, milliliters).

  • Name
    refills
    Type
    number
    Description

    Number of refills allowed for the prescription.

  • Name
    days_supply
    Type
    number
    Description

    Number of days the prescription is expected to last.

  • Name
    pharmacy
    Type
    string
    Description

    Pharmacy where the prescription will be filled.

  • Name
    status
    Type
    string
    Description

    Current status of the prescription (e.g., active, canceled).

  • Name
    medication_status
    Type
    string
    Description

    Status of the medication administration (e.g., ongoing, discontinued)

  • Name
    written_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601) when the prescription was written.

  • Name
    effective_at
    Type
    string
    Description

    Timestamp (in ISO 8601) when the prescription was written.

  • Name
    inactive_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601) when the prescription is marked as inactive.

  • Name
    last_filled_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601) when the prescription was last filled.

Response

{
        "id": "rx_2UxtAULYUrX7GVsTKePy",
        "object": "prescription",
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",

        "name": "Lisinopril 10mg",
        "schedule": "0",
        "dose_form": "tablet",
        "route": "oral",
        "strength": "10 mg",
        "directions": "Take one tablet daily with water",
        "quantity": "30",
        "unit": "tablets",
        "refills": 2,
        "days_supply": 30,

        "pharmacy": 062425,

        "status": "pharmacy_verified",
        "medication_status": "active",

        "external_accounts": {
            "dosespot": 518141718
        },

        "written_at": "2024-08-23T09:00:00Z",
        "effective_at": "2024-08-23",
        "inactive_at": "2024-09-23T09:00:00Z",
        "last_filled_at": "2024-08-23T09:00:00Z"
}


GET/v2/prescriptions

List all prescriptions

Returns a list of all prescriptions.

Required query parameters

  • Name
    patient
    Type
    string
    Description

    Patient to filter by.

Request

GET
/v2/prescriptions
curl "https://{{base_subdomain}}.avonhealth.com/v2/prescriptions" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      "object": "list",
      "data": [
        {
            "id": "rx_2UxtAULYUrX7GVsTKePy",
            "object": "prescription",
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",

            "name": "Lisinopril 10mg",
            "schedule": "0",
            "dose_form": "tablet",
            "route": "oral",
            "strength": "10 mg",
            "directions": "Take one tablet daily with water",
            "quantity": "30",
            "unit": "tablets",
            "refills": 2,
            "days_supply": 30,

            "pharmacy": 062425,

            "status": "pharmacy_verified",
            "medication_status": "active",

            "external_accounts": {
                "dosespot": 518141718
            },

            "written_at": "2024-08-23T09:00:00Z",
            "effective_at": "2024-08-23",
            "inactive_at": "2024-09-23T09:00:00Z",
            "last_filled_at": "2024-08-23T09:00:00Z"
        },
      ]
    }